const { faker } = require('@faker-js/faker');

const generateCustomers = function (itemCount) {
  const customers = []

  for (let index = 1; index < itemCount; index++) {
    customers.push(newFakedCustomer());
  }

  return customers;
}

function newFakedCustomer() {
  const firstName = faker.name.firstName();
  const lastName = faker.name.lastName();
  const email = faker.internet.email();
  const id = faker.datatype.uuid();

  return {
    "id": id,
    "firstName": firstName,
    "lastName": lastName,
    "email": email,
    "country": faker.address.country(),
    "city": faker.address.cityName(),
    "image": faker.image.avatar(),
  }
}

module.exports = generateCustomers