const fs = require('fs');

const generateProducts = require('./products');
const generateUsers = require('./users');
const generateCustomers = require('./customers');
const generateVendors = require('./vendors');

const products = generateProducts(50);
const users = generateUsers(50);
const customers = generateCustomers(50);
const vendors = generateVendors(50);
const prospects = generateVendors(50);

const finalOutput = {
  users: users,
  products: products,
  customers: customers,
  vendors: vendors,
  prospects: prospects,
};
const file = './db.json';

try {
  if (fs.existsSync(file)) {
    fs.writeFileSync('./db.json', '');
  }
} catch(err) {
  console.error(err)
}

fs.writeFileSync('./db.json', JSON.stringify(finalOutput, null, 4))

